/***************************************************************************
 *   Copyright (C) 2009 by Stephen Allewell                                *
 *   stephen@mirramar.fsnet.co.uk                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef KEYCODELINEEDIT_H
#define KEYCODELINEEDIT_H

#include <qlineedit.h>
#include <qevent.h>
#include <qstring.h>

class KeycodeLineEdit : public QLineEdit
{
public:
    KeycodeLineEdit(QWidget *parent, char *name);
    int key();
    Qt::ButtonState modifiers();
    void setKeyModifiers(int key, Qt::ButtonState modifiers);
    static QString keyString(int qtKey, Qt::ButtonState modifiers);

protected:
    virtual void keyPressEvent(QKeyEvent *e);

private:
    static QString findQtText(int qtKey);
    int m_key;
    Qt::ButtonState m_modifiers;
};

#endif
